# Interface ICefTaskRunner

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefTaskRunner = interface(ICefBaseRefCounted)`

## Description

Interface that asynchronously executes tasks on the associated thread. It is safe to call the functions of this interface on any thread.

CEF maintains multiple internal threads that are used for handling different types of tasks in different processes. The TCefThreadId definitions in cef_types.h list the common CEF threads. Task runners are also available for other CEF threads as appropriate (for example, V8 WebWorker threads).

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_task_capi.h">CEF source file: /include/capi/cef_task_capi.h (cef_task_runner_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefTaskRunner

## Overview

### Methods

| `function IsSame(const that: ICefTaskRunner): Boolean;`
| `function BelongsToCurrentThread: Boolean;`
| `function BelongsToThread(threadId: TCefThreadId): Boolean;`
| `function PostTask(const task: ICefTask): Boolean;`
| `function PostDelayedTask(const task: ICefTask; delayMs: Int64): Boolean;`

## Description

### Methods

| `function IsSame(const that: ICefTaskRunner): Boolean;`
Returns true (1) if this object is pointing to the same task runner as |that| object. ###### Attributes GUID['{6A500FA3-77B7-4418-8EA8-6337EED1337B}']

| `function BelongsToCurrentThread: Boolean;`
Returns true (1) if this task runner belongs to the current thread.

| `function BelongsToThread(threadId: TCefThreadId): Boolean;`
Returns true (1) if this task runner is for the specified CEF thread.

| `function PostTask(const task: ICefTask): Boolean;`
Post a task for execution on the thread associated with this task runner. Execution will occur asynchronously.

| `function PostDelayedTask(const task: ICefTask; delayMs: Int64): Boolean;`
Post a task for delayed execution on the thread associated with this task runner. Execution will occur asynchronously. Delayed tasks are not supported on V8 WebWorker threads and will be executed without the specified delay.

Generated by PasDoc 0.16.0-snapshot.